Bug 103 - Fatal error due to name clash among templates and processes
Summary: Fatal error due to name clash among templates and processes
Status: CLOSED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: Engine (show other bugs)
Version: 3.4.5
Hardware: All All
: P2 normal
Assignee: Gerd Behrmann
URL:
Depends on:
Blocks:
 
Reported: 2004-05-18 11:45 CEST by Ole Høgh Jensen
Modified: 2005-02-18 11:08 CET (History)
0 users

See Also:
Architecture:


Attachments
Test case (769 bytes, text/plain)
2004-05-18 11:59 CEST, Ole Høgh Jensen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ole Høgh Jensen 2004-05-18 11:45:10 CEST
Define two templates, say P and Q.
Instantiate Q:=P() and R:=Q().  (Note multiple use of name Q.)
This produces a fatal error (when e.g. entering simulator).
Comment 1 Ole Høgh Jensen 2004-05-18 11:59:22 CEST
Created attachment 22 [details]
Test case
Comment 2 Gerd Behrmann 2004-05-18 12:04:21 CEST
Confirmed.

It is in fact not necessary to create two templates: The syntax checker crashes
when trying to instantiate a previous instance.
Comment 3 Gerd Behrmann 2004-06-02 17:06:00 CEST
I have backported the parser from the development branch. This fixes the problem.